Package org.apache.tapestry5.internal.jpa

## Class NoopBeanManager

- java.lang.Object
- - org.apache.tapestry5.internal.jpa.NoopBeanManager

- All Implemented Interfaces:
    `BeanManager`
  Direct Known Subclasses:
    `TapestryCDIBeanManagerForJPAEntityListeners`

      public class NoopBeanManager
      extends java.lang.Object
      implements BeanManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NoopBeanManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `areInterceptorBindingsEquivalent​(java.lang.annotation.Annotation interceptorBinding1, java.lang.annotation.Annotation interceptorBinding2)` |
    `boolean` | `areQualifiersEquivalent​(java.lang.annotation.Annotation qualifier1, java.lang.annotation.Annotation qualifier2)` |
    `<T> AnnotatedType<T>` | `createAnnotatedType​(java.lang.Class<T> type)` |
    `<T> Bean<T>` | `createBean​(BeanAttributes<T> attributes, java.lang.Class<T> beanClass, InjectionTargetFactory<T> injectionTargetFactory)` |
    `<T,​X> Bean<T>` | `createBean​(BeanAttributes<T> attributes, java.lang.Class<X> beanClass, ProducerFactory<X> producerFactory)` |
    `BeanAttributes<?>` | `createBeanAttributes​(AnnotatedMember<?> type)` |
    `<T> BeanAttributes<T>` | `createBeanAttributes​(AnnotatedType<T> type)` |
    `<T> CreationalContext<T>` | `createCreationalContext​(Contextual<T> contextual)` |
    `InjectionPoint` | `createInjectionPoint​(AnnotatedField<?> field)` |
    `InjectionPoint` | `createInjectionPoint​(AnnotatedParameter<?> parameter)` |
    `<T> InjectionTarget<T>` | `createInjectionTarget​(AnnotatedType<T> type)` |
    `void` | `fireEvent​(java.lang.Object event, java.lang.annotation.Annotation... qualifiers)` |
    `java.util.Set<Bean<?>>` | `getBeans​(java.lang.reflect.Type beanType, java.lang.annotation.Annotation... qualifiers)` |
    `java.util.Set<Bean<?>>` | `getBeans​(java.lang.String name)` |
    `Context` | `getContext​(java.lang.Class<? extends java.lang.annotation.Annotation> scopeType)` |
    `ELResolver` | `getELResolver()` |
    `<T extends Extension> T` | `getExtension​(java.lang.Class<T> extensionClass)` |
    `java.lang.Object` | `getInjectableReference​(InjectionPoint ij, CreationalContext<?> ctx)` |
    `<T> InjectionTargetFactory<T>` | `getInjectionTargetFactory​(AnnotatedType<T> annotatedType)` |
    `java.util.Set<java.lang.annotation.Annotation>` | `getInterceptorBindingDefinition​(java.lang.Class<? extends java.lang.annotation.Annotation> bindingType)` |
    `int` | `getInterceptorBindingHashCode​(java.lang.annotation.Annotation interceptorBinding)` |
    `Bean<?>` | `getPassivationCapableBean​(java.lang.String id)` |
    `<X> ProducerFactory<X>` | `getProducerFactory​(AnnotatedField<? super X> field, Bean<X> declaringBean)` |
    `<X> ProducerFactory<X>` | `getProducerFactory​(AnnotatedMethod<? super X> method, Bean<X> declaringBean)` |
    `int` | `getQualifierHashCode​(java.lang.annotation.Annotation qualifier)` |
    `java.lang.Object` | `getReference​(Bean<?> bean, java.lang.reflect.Type beanType, CreationalContext<?> ctx)` |
    `java.util.Set<java.lang.annotation.Annotation>` | `getStereotypeDefinition​(java.lang.Class<? extends java.lang.annotation.Annotation> stereotype)` |
    `boolean` | `isInterceptorBinding​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)` |
    `boolean` | `isNormalScope​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)` |
    `boolean` | `isPassivatingScope​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)` |
    `boolean` | `isQualifier​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)` |
    `boolean` | `isScope​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)` |
    `boolean` | `isStereotype​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)` |
    `<X> Bean<? extends X>` | `resolve​(java.util.Set<Bean<? extends X>> beans)` |
    `java.util.List<Decorator<?>>` | `resolveDecorators​(java.util.Set<java.lang.reflect.Type> types, java.lang.annotation.Annotation... qualifiers)` |
    `java.util.List<Interceptor<?>>` | `resolveInterceptors​(InterceptionType type, java.lang.annotation.Annotation... interceptorBindings)` |
    `<T> java.util.Set<ObserverMethod<? super T>>` | `resolveObserverMethods​(T event, java.lang.annotation.Annotation... qualifiers)` |
    `void` | `validate​(InjectionPoint injectionPoint)` |
    `ExpressionFactory` | `wrapExpressionFactory​(ExpressionFactory expressionFactory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopBeanManager

          public NoopBeanManager()

  - ### Method Detail

    - #### getReference

          public java.lang.Object getReference​(Bean<?> bean,
                                               java.lang.reflect.Type beanType,
                                               CreationalContext<?> ctx)

      Specified by:
        `getReference` in interface `BeanManager`

    - #### getInjectableReference

          public java.lang.Object getInjectableReference​(InjectionPoint ij,
                                                         CreationalContext<?> ctx)

      Specified by:
        `getInjectableReference` in interface `BeanManager`

    - #### createCreationalContext

          public <T> CreationalContext<T> createCreationalContext​(Contextual<T> contextual)

      Specified by:
        `createCreationalContext` in interface `BeanManager`

    - #### getBeans

          public java.util.Set<Bean<?>> getBeans​(java.lang.reflect.Type beanType,
                                                 java.lang.annotation.Annotation... qualifiers)

      Specified by:
        `getBeans` in interface `BeanManager`

    - #### getBeans

          public java.util.Set<Bean<?>> getBeans​(java.lang.String name)

      Specified by:
        `getBeans` in interface `BeanManager`

    - #### getPassivationCapableBean

          public Bean<?> getPassivationCapableBean​(java.lang.String id)

      Specified by:
        `getPassivationCapableBean` in interface `BeanManager`

    - #### resolve

          public <X> Bean<? extends X> resolve​(java.util.Set<Bean<? extends X>> beans)

      Specified by:
        `resolve` in interface `BeanManager`

    - #### validate

          public void validate​(InjectionPoint injectionPoint)

      Specified by:
        `validate` in interface `BeanManager`

    - #### fireEvent

          public void fireEvent​(java.lang.Object event,
                                java.lang.annotation.Annotation... qualifiers)

      Specified by:
        `fireEvent` in interface `BeanManager`

    - #### resolveObserverMethods

          public <T> java.util.Set<ObserverMethod<? super T>> resolveObserverMethods​(T event,
                                                                                     java.lang.annotation.Annotation... qualifiers)

      Specified by:
        `resolveObserverMethods` in interface `BeanManager`

    - #### resolveDecorators

          public java.util.List<Decorator<?>> resolveDecorators​(java.util.Set<java.lang.reflect.Type> types,
                                                                java.lang.annotation.Annotation... qualifiers)

      Specified by:
        `resolveDecorators` in interface `BeanManager`

    - #### resolveInterceptors

          public java.util.List<Interceptor<?>> resolveInterceptors​(InterceptionType type,
                                                                    java.lang.annotation.Annotation... interceptorBindings)

      Specified by:
        `resolveInterceptors` in interface `BeanManager`

    - #### isScope

          public boolean isScope​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

      Specified by:
        `isScope` in interface `BeanManager`

    - #### isNormalScope

          public boolean isNormalScope​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

      Specified by:
        `isNormalScope` in interface `BeanManager`

    - #### isPassivatingScope

          public boolean isPassivatingScope​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

      Specified by:
        `isPassivatingScope` in interface `BeanManager`

    - #### isQualifier

          public boolean isQualifier​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

      Specified by:
        `isQualifier` in interface `BeanManager`

    - #### isInterceptorBinding

          public boolean isInterceptorBinding​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

      Specified by:
        `isInterceptorBinding` in interface `BeanManager`

    - #### isStereotype

          public boolean isStereotype​(java.lang.Class<? extends java.lang.annotation.Annotation> annotationType)

      Specified by:
        `isStereotype` in interface `BeanManager`

    - #### getInterceptorBindingDefinition

          public java.util.Set<java.lang.annotation.Annotation> getInterceptorBindingDefinition​(java.lang.Class<? extends java.lang.annotation.Annotation> bindingType)

      Specified by:
        `getInterceptorBindingDefinition` in interface `BeanManager`

    - #### getStereotypeDefinition

          public java.util.Set<java.lang.annotation.Annotation> getStereotypeDefinition​(java.lang.Class<? extends java.lang.annotation.Annotation> stereotype)

      Specified by:
        `getStereotypeDefinition` in interface `BeanManager`

    - #### areQualifiersEquivalent

          public boolean areQualifiersEquivalent​(java.lang.annotation.Annotation qualifier1,
                                                 java.lang.annotation.Annotation qualifier2)

      Specified by:
        `areQualifiersEquivalent` in interface `BeanManager`

    - #### areInterceptorBindingsEquivalent

          public boolean areInterceptorBindingsEquivalent​(java.lang.annotation.Annotation interceptorBinding1,
                                                          java.lang.annotation.Annotation interceptorBinding2)

      Specified by:
        `areInterceptorBindingsEquivalent` in interface `BeanManager`

    - #### getQualifierHashCode

          public int getQualifierHashCode​(java.lang.annotation.Annotation qualifier)

      Specified by:
        `getQualifierHashCode` in interface `BeanManager`

    - #### getInterceptorBindingHashCode

          public int getInterceptorBindingHashCode​(java.lang.annotation.Annotation interceptorBinding)

      Specified by:
        `getInterceptorBindingHashCode` in interface `BeanManager`

    - #### getContext

          public Context getContext​(java.lang.Class<? extends java.lang.annotation.Annotation> scopeType)

      Specified by:
        `getContext` in interface `BeanManager`

    - #### getELResolver

          public ELResolver getELResolver()

      Specified by:
        `getELResolver` in interface `BeanManager`

    - #### wrapExpressionFactory

          public ExpressionFactory wrapExpressionFactory​(ExpressionFactory expressionFactory)

      Specified by:
        `wrapExpressionFactory` in interface `BeanManager`

    - #### createAnnotatedType

          public <T> AnnotatedType<T> createAnnotatedType​(java.lang.Class<T> type)

      Specified by:
        `createAnnotatedType` in interface `BeanManager`

    - #### createInjectionTarget

          public <T> InjectionTarget<T> createInjectionTarget​(AnnotatedType<T> type)

      Specified by:
        `createInjectionTarget` in interface `BeanManager`

    - #### getInjectionTargetFactory

          public <T> InjectionTargetFactory<T> getInjectionTargetFactory​(AnnotatedType<T> annotatedType)

      Specified by:
        `getInjectionTargetFactory` in interface `BeanManager`

    - #### getProducerFactory

          public <X> ProducerFactory<X> getProducerFactory​(AnnotatedField<? super X> field,
                                                           Bean<X> declaringBean)

      Specified by:
        `getProducerFactory` in interface `BeanManager`

    - #### getProducerFactory

          public <X> ProducerFactory<X> getProducerFactory​(AnnotatedMethod<? super X> method,
                                                           Bean<X> declaringBean)

      Specified by:
        `getProducerFactory` in interface `BeanManager`

    - #### createBeanAttributes

          public <T> BeanAttributes<T> createBeanAttributes​(AnnotatedType<T> type)

      Specified by:
        `createBeanAttributes` in interface `BeanManager`

    - #### createBeanAttributes

          public BeanAttributes<?> createBeanAttributes​(AnnotatedMember<?> type)

      Specified by:
        `createBeanAttributes` in interface `BeanManager`

    - #### createBean

          public <T> Bean<T> createBean​(BeanAttributes<T> attributes,
                                        java.lang.Class<T> beanClass,
                                        InjectionTargetFactory<T> injectionTargetFactory)

      Specified by:
        `createBean` in interface `BeanManager`

    - #### createBean

          public <T,​X> Bean<T> createBean​(BeanAttributes<T> attributes,
                                                java.lang.Class<X> beanClass,
                                                ProducerFactory<X> producerFactory)

      Specified by:
        `createBean` in interface `BeanManager`

    - #### createInjectionPoint

          public InjectionPoint createInjectionPoint​(AnnotatedField<?> field)

      Specified by:
        `createInjectionPoint` in interface `BeanManager`

    - #### createInjectionPoint

          public InjectionPoint createInjectionPoint​(AnnotatedParameter<?> parameter)

      Specified by:
        `createInjectionPoint` in interface `BeanManager`

    - #### getExtension

          public <T extends Extension> T getExtension​(java.lang.Class<T> extensionClass)

      Specified by:
        `getExtension` in interface `BeanManager`